- Resource
-
/ui-api/list-info/${objectApiName}/${listViewApiName}- objectApiName—A supported object, such as Account.
- listViewApiName—The API name of a list view, such as AllAccounts.
- Available Version
- 61.0
- HTTP Method
- PATCH
- Example
- This example uses a request body to update the metadata for a list view. The object
API name is Account and the list view API name is
AllAccounts.
PATCH /services/data/v68.0/ui-api/list-info/Account/AllAccounts{ "filteredByInfo": [ { "fieldApiName": "Name", "operandLabels": [ "This", "That"], "operator": "Equals" }, { "fieldApiName": "Phone", "operandLabels": [ "919"], "operator": "StartsWith" }, { "fieldApiName": "AnnualRevenue", "operandLabels": [ "1000000"], "operator": "GreaterThan" } ], "filterLogicString" : "(1 OR 2) AND 3", "label": "Accounts opened this year", "scope": { "apiName": "entity", "entityId": "00Gxx000000sjI8", "relatedEntityId": "701xx000003HZ7X" }, "visibility": "Public" } - Request parameters
-
Parameter Name Type Description Required or Optional Available Version listInfoInput List Info Input The list info to update. Required 61.0 - Response Body
- List Info